sections

package
v4.0.0 Latest Latest
Warning

This package is not in the latest version of its module.

Go to latest
Published: Jul 24, 2025 License: Apache-2.0 Imports: 12 Imported by: 0

Documentation

Index

Constants

View Source
const GetCourseForSectionNotFoundCode int = 404

GetCourseForSectionNotFoundCode is the HTTP code returned for type GetCourseForSectionNotFound

View Source
const GetCourseForSectionOKCode int = 200

GetCourseForSectionOKCode is the HTTP code returned for type GetCourseForSectionOK

View Source
const GetDistrictForSectionNotFoundCode int = 404

GetDistrictForSectionNotFoundCode is the HTTP code returned for type GetDistrictForSectionNotFound

View Source
const GetDistrictForSectionOKCode int = 200

GetDistrictForSectionOKCode is the HTTP code returned for type GetDistrictForSectionOK

View Source
const GetResourcesForSectionNotFoundCode int = 404

GetResourcesForSectionNotFoundCode is the HTTP code returned for type GetResourcesForSectionNotFound

View Source
const GetResourcesForSectionOKCode int = 200

GetResourcesForSectionOKCode is the HTTP code returned for type GetResourcesForSectionOK

View Source
const GetSchoolForSectionNotFoundCode int = 404

GetSchoolForSectionNotFoundCode is the HTTP code returned for type GetSchoolForSectionNotFound

View Source
const GetSchoolForSectionOKCode int = 200

GetSchoolForSectionOKCode is the HTTP code returned for type GetSchoolForSectionOK

View Source
const GetSectionNotFoundCode int = 404

GetSectionNotFoundCode is the HTTP code returned for type GetSectionNotFound

View Source
const GetSectionOKCode int = 200

GetSectionOKCode is the HTTP code returned for type GetSectionOK

View Source
const GetSectionsOKCode int = 200

GetSectionsOKCode is the HTTP code returned for type GetSectionsOK

View Source
const GetTermForSectionNotFoundCode int = 404

GetTermForSectionNotFoundCode is the HTTP code returned for type GetTermForSectionNotFound

View Source
const GetTermForSectionOKCode int = 200

GetTermForSectionOKCode is the HTTP code returned for type GetTermForSectionOK

View Source
const GetUsersForSectionNotFoundCode int = 404

GetUsersForSectionNotFoundCode is the HTTP code returned for type GetUsersForSectionNotFound

View Source
const GetUsersForSectionOKCode int = 200

GetUsersForSectionOKCode is the HTTP code returned for type GetUsersForSectionOK

Variables

This section is empty.

Functions

This section is empty.

Types

type GetCourseForSection

type GetCourseForSection struct {
	Context *middleware.Context
	Handler GetCourseForSectionHandler
}
GetCourseForSection swagger:route GET /sections/{id}/course Sections getCourseForSection

Returns the course for a section

func NewGetCourseForSection

func NewGetCourseForSection(ctx *middleware.Context, handler GetCourseForSectionHandler) *GetCourseForSection

NewGetCourseForSection creates a new http.Handler for the get course for section operation

func (*GetCourseForSection) ServeHTTP

func (o *GetCourseForSection) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetCourseForSectionHandler

type GetCourseForSectionHandler interface {
	Handle(GetCourseForSectionParams, interface{}) middleware.Responder
}

GetCourseForSectionHandler interface for that can handle valid get course for section params

type GetCourseForSectionHandlerFunc

type GetCourseForSectionHandlerFunc func(GetCourseForSectionParams, interface{}) middleware.Responder

GetCourseForSectionHandlerFunc turns a function with the right signature into a get course for section handler

func (GetCourseForSectionHandlerFunc) Handle

func (fn GetCourseForSectionHandlerFunc) Handle(params GetCourseForSectionParams, principal interface{}) middleware.Responder

Handle executing the request and returning a response

type GetCourseForSectionNotFound

type GetCourseForSectionNotFound struct {

	/*
	  In: Body
	*/
	Payload *models.NotFound `json:"body,omitempty"`
}

GetCourseForSectionNotFound Entity Not Found

swagger:response getCourseForSectionNotFound

func NewGetCourseForSectionNotFound

func NewGetCourseForSectionNotFound() *GetCourseForSectionNotFound

NewGetCourseForSectionNotFound creates GetCourseForSectionNotFound with default headers values

func (*GetCourseForSectionNotFound) SetPayload

func (o *GetCourseForSectionNotFound) SetPayload(payload *models.NotFound)

SetPayload sets the payload to the get course for section not found response

func (*GetCourseForSectionNotFound) WithPayload

WithPayload adds the payload to the get course for section not found response

func (*GetCourseForSectionNotFound) WriteResponse

func (o *GetCourseForSectionNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetCourseForSectionOK

type GetCourseForSectionOK struct {

	/*
	  In: Body
	*/
	Payload *models.CourseResponse `json:"body,omitempty"`
}

GetCourseForSectionOK OK Response

swagger:response getCourseForSectionOK

func NewGetCourseForSectionOK

func NewGetCourseForSectionOK() *GetCourseForSectionOK

NewGetCourseForSectionOK creates GetCourseForSectionOK with default headers values

func (*GetCourseForSectionOK) SetPayload

func (o *GetCourseForSectionOK) SetPayload(payload *models.CourseResponse)

SetPayload sets the payload to the get course for section o k response

func (*GetCourseForSectionOK) WithPayload

WithPayload adds the payload to the get course for section o k response

func (*GetCourseForSectionOK) WriteResponse

func (o *GetCourseForSectionOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetCourseForSectionParams

type GetCourseForSectionParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  Required: true
	  In: path
	*/
	ID string
}

GetCourseForSectionParams contains all the bound params for the get course for section operation typically these are obtained from a http.Request

swagger:parameters getCourseForSection

func NewGetCourseForSectionParams

func NewGetCourseForSectionParams() GetCourseForSectionParams

NewGetCourseForSectionParams creates a new GetCourseForSectionParams object

There are no default values defined in the spec.

func (*GetCourseForSectionParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetCourseForSectionParams() beforehand.

type GetCourseForSectionURL

type GetCourseForSectionURL struct {
	ID string
	// contains filtered or unexported fields
}

GetCourseForSectionURL generates an URL for the get course for section operation

func (*GetCourseForSectionURL) Build

func (o *GetCourseForSectionURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetCourseForSectionURL) BuildFull

func (o *GetCourseForSectionURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetCourseForSectionURL) Must

func (o *GetCourseForSectionURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetCourseForSectionURL) SetBasePath

func (o *GetCourseForSectionURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetCourseForSectionURL) String

func (o *GetCourseForSectionURL) String() string

String returns the string representation of the path with query string

func (*GetCourseForSectionURL) StringFull

func (o *GetCourseForSectionURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetCourseForSectionURL) WithBasePath

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetDistrictForSection

type GetDistrictForSection struct {
	Context *middleware.Context
	Handler GetDistrictForSectionHandler
}
GetDistrictForSection swagger:route GET /sections/{id}/district Sections getDistrictForSection

Returns the district for a section

func NewGetDistrictForSection

func NewGetDistrictForSection(ctx *middleware.Context, handler GetDistrictForSectionHandler) *GetDistrictForSection

NewGetDistrictForSection creates a new http.Handler for the get district for section operation

func (*GetDistrictForSection) ServeHTTP

func (o *GetDistrictForSection) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetDistrictForSectionHandler

type GetDistrictForSectionHandler interface {
	Handle(GetDistrictForSectionParams, interface{}) middleware.Responder
}

GetDistrictForSectionHandler interface for that can handle valid get district for section params

type GetDistrictForSectionHandlerFunc

type GetDistrictForSectionHandlerFunc func(GetDistrictForSectionParams, interface{}) middleware.Responder

GetDistrictForSectionHandlerFunc turns a function with the right signature into a get district for section handler

func (GetDistrictForSectionHandlerFunc) Handle

func (fn GetDistrictForSectionHandlerFunc) Handle(params GetDistrictForSectionParams, principal interface{}) middleware.Responder

Handle executing the request and returning a response

type GetDistrictForSectionNotFound

type GetDistrictForSectionNotFound struct {

	/*
	  In: Body
	*/
	Payload *models.NotFound `json:"body,omitempty"`
}

GetDistrictForSectionNotFound Entity Not Found

swagger:response getDistrictForSectionNotFound

func NewGetDistrictForSectionNotFound

func NewGetDistrictForSectionNotFound() *GetDistrictForSectionNotFound

NewGetDistrictForSectionNotFound creates GetDistrictForSectionNotFound with default headers values

func (*GetDistrictForSectionNotFound) SetPayload

func (o *GetDistrictForSectionNotFound) SetPayload(payload *models.NotFound)

SetPayload sets the payload to the get district for section not found response

func (*GetDistrictForSectionNotFound) WithPayload

WithPayload adds the payload to the get district for section not found response

func (*GetDistrictForSectionNotFound) WriteResponse

func (o *GetDistrictForSectionNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetDistrictForSectionOK

type GetDistrictForSectionOK struct {

	/*
	  In: Body
	*/
	Payload *models.DistrictResponse `json:"body,omitempty"`
}

GetDistrictForSectionOK OK Response

swagger:response getDistrictForSectionOK

func NewGetDistrictForSectionOK

func NewGetDistrictForSectionOK() *GetDistrictForSectionOK

NewGetDistrictForSectionOK creates GetDistrictForSectionOK with default headers values

func (*GetDistrictForSectionOK) SetPayload

func (o *GetDistrictForSectionOK) SetPayload(payload *models.DistrictResponse)

SetPayload sets the payload to the get district for section o k response

func (*GetDistrictForSectionOK) WithPayload

WithPayload adds the payload to the get district for section o k response

func (*GetDistrictForSectionOK) WriteResponse

func (o *GetDistrictForSectionOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetDistrictForSectionParams

type GetDistrictForSectionParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  Required: true
	  In: path
	*/
	ID string
}

GetDistrictForSectionParams contains all the bound params for the get district for section operation typically these are obtained from a http.Request

swagger:parameters getDistrictForSection

func NewGetDistrictForSectionParams

func NewGetDistrictForSectionParams() GetDistrictForSectionParams

NewGetDistrictForSectionParams creates a new GetDistrictForSectionParams object

There are no default values defined in the spec.

func (*GetDistrictForSectionParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetDistrictForSectionParams() beforehand.

type GetDistrictForSectionURL

type GetDistrictForSectionURL struct {
	ID string
	// contains filtered or unexported fields
}

GetDistrictForSectionURL generates an URL for the get district for section operation

func (*GetDistrictForSectionURL) Build

func (o *GetDistrictForSectionURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetDistrictForSectionURL) BuildFull

func (o *GetDistrictForSectionURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetDistrictForSectionURL) Must

func (o *GetDistrictForSectionURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetDistrictForSectionURL) SetBasePath

func (o *GetDistrictForSectionURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetDistrictForSectionURL) String

func (o *GetDistrictForSectionURL) String() string

String returns the string representation of the path with query string

func (*GetDistrictForSectionURL) StringFull

func (o *GetDistrictForSectionURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetDistrictForSectionURL) WithBasePath

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetResourcesForSection

type GetResourcesForSection struct {
	Context *middleware.Context
	Handler GetResourcesForSectionHandler
}
GetResourcesForSection swagger:route GET /sections/{id}/resources Sections getResourcesForSection

Returns the resources for a section

func NewGetResourcesForSection

func NewGetResourcesForSection(ctx *middleware.Context, handler GetResourcesForSectionHandler) *GetResourcesForSection

NewGetResourcesForSection creates a new http.Handler for the get resources for section operation

func (*GetResourcesForSection) ServeHTTP

func (o *GetResourcesForSection) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetResourcesForSectionHandler

type GetResourcesForSectionHandler interface {
	Handle(GetResourcesForSectionParams, interface{}) middleware.Responder
}

GetResourcesForSectionHandler interface for that can handle valid get resources for section params

type GetResourcesForSectionHandlerFunc

type GetResourcesForSectionHandlerFunc func(GetResourcesForSectionParams, interface{}) middleware.Responder

GetResourcesForSectionHandlerFunc turns a function with the right signature into a get resources for section handler

func (GetResourcesForSectionHandlerFunc) Handle

Handle executing the request and returning a response

type GetResourcesForSectionNotFound

type GetResourcesForSectionNotFound struct {

	/*
	  In: Body
	*/
	Payload *models.NotFound `json:"body,omitempty"`
}

GetResourcesForSectionNotFound Entity Not Found

swagger:response getResourcesForSectionNotFound

func NewGetResourcesForSectionNotFound

func NewGetResourcesForSectionNotFound() *GetResourcesForSectionNotFound

NewGetResourcesForSectionNotFound creates GetResourcesForSectionNotFound with default headers values

func (*GetResourcesForSectionNotFound) SetPayload

func (o *GetResourcesForSectionNotFound) SetPayload(payload *models.NotFound)

SetPayload sets the payload to the get resources for section not found response

func (*GetResourcesForSectionNotFound) WithPayload

WithPayload adds the payload to the get resources for section not found response

func (*GetResourcesForSectionNotFound) WriteResponse

func (o *GetResourcesForSectionNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetResourcesForSectionOK

type GetResourcesForSectionOK struct {

	/*
	  In: Body
	*/
	Payload *models.ResourcesResponse `json:"body,omitempty"`
}

GetResourcesForSectionOK OK Response

swagger:response getResourcesForSectionOK

func NewGetResourcesForSectionOK

func NewGetResourcesForSectionOK() *GetResourcesForSectionOK

NewGetResourcesForSectionOK creates GetResourcesForSectionOK with default headers values

func (*GetResourcesForSectionOK) SetPayload

func (o *GetResourcesForSectionOK) SetPayload(payload *models.ResourcesResponse)

SetPayload sets the payload to the get resources for section o k response

func (*GetResourcesForSectionOK) WithPayload

WithPayload adds the payload to the get resources for section o k response

func (*GetResourcesForSectionOK) WriteResponse

func (o *GetResourcesForSectionOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetResourcesForSectionParams

type GetResourcesForSectionParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  In: query
	*/
	EndingBefore *string
	/*
	  Required: true
	  In: path
	*/
	ID string
	/*
	  In: query
	*/
	Limit *int64
	/*
	  In: query
	*/
	StartingAfter *string
}

GetResourcesForSectionParams contains all the bound params for the get resources for section operation typically these are obtained from a http.Request

swagger:parameters getResourcesForSection

func NewGetResourcesForSectionParams

func NewGetResourcesForSectionParams() GetResourcesForSectionParams

NewGetResourcesForSectionParams creates a new GetResourcesForSectionParams object

There are no default values defined in the spec.

func (*GetResourcesForSectionParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetResourcesForSectionParams() beforehand.

type GetResourcesForSectionURL

type GetResourcesForSectionURL struct {
	ID string

	EndingBefore  *string
	Limit         *int64
	StartingAfter *string
	// contains filtered or unexported fields
}

GetResourcesForSectionURL generates an URL for the get resources for section operation

func (*GetResourcesForSectionURL) Build

func (o *GetResourcesForSectionURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetResourcesForSectionURL) BuildFull

func (o *GetResourcesForSectionURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetResourcesForSectionURL) Must

func (o *GetResourcesForSectionURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetResourcesForSectionURL) SetBasePath

func (o *GetResourcesForSectionURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetResourcesForSectionURL) String

func (o *GetResourcesForSectionURL) String() string

String returns the string representation of the path with query string

func (*GetResourcesForSectionURL) StringFull

func (o *GetResourcesForSectionURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetResourcesForSectionURL) WithBasePath

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetSchoolForSection

type GetSchoolForSection struct {
	Context *middleware.Context
	Handler GetSchoolForSectionHandler
}
GetSchoolForSection swagger:route GET /sections/{id}/school Sections getSchoolForSection

Returns the school for a section

func NewGetSchoolForSection

func NewGetSchoolForSection(ctx *middleware.Context, handler GetSchoolForSectionHandler) *GetSchoolForSection

NewGetSchoolForSection creates a new http.Handler for the get school for section operation

func (*GetSchoolForSection) ServeHTTP

func (o *GetSchoolForSection) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetSchoolForSectionHandler

type GetSchoolForSectionHandler interface {
	Handle(GetSchoolForSectionParams, interface{}) middleware.Responder
}

GetSchoolForSectionHandler interface for that can handle valid get school for section params

type GetSchoolForSectionHandlerFunc

type GetSchoolForSectionHandlerFunc func(GetSchoolForSectionParams, interface{}) middleware.Responder

GetSchoolForSectionHandlerFunc turns a function with the right signature into a get school for section handler

func (GetSchoolForSectionHandlerFunc) Handle

func (fn GetSchoolForSectionHandlerFunc) Handle(params GetSchoolForSectionParams, principal interface{}) middleware.Responder

Handle executing the request and returning a response

type GetSchoolForSectionNotFound

type GetSchoolForSectionNotFound struct {

	/*
	  In: Body
	*/
	Payload *models.NotFound `json:"body,omitempty"`
}

GetSchoolForSectionNotFound Entity Not Found

swagger:response getSchoolForSectionNotFound

func NewGetSchoolForSectionNotFound

func NewGetSchoolForSectionNotFound() *GetSchoolForSectionNotFound

NewGetSchoolForSectionNotFound creates GetSchoolForSectionNotFound with default headers values

func (*GetSchoolForSectionNotFound) SetPayload

func (o *GetSchoolForSectionNotFound) SetPayload(payload *models.NotFound)

SetPayload sets the payload to the get school for section not found response

func (*GetSchoolForSectionNotFound) WithPayload

WithPayload adds the payload to the get school for section not found response

func (*GetSchoolForSectionNotFound) WriteResponse

func (o *GetSchoolForSectionNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetSchoolForSectionOK

type GetSchoolForSectionOK struct {

	/*
	  In: Body
	*/
	Payload *models.SchoolResponse `json:"body,omitempty"`
}

GetSchoolForSectionOK OK Response

swagger:response getSchoolForSectionOK

func NewGetSchoolForSectionOK

func NewGetSchoolForSectionOK() *GetSchoolForSectionOK

NewGetSchoolForSectionOK creates GetSchoolForSectionOK with default headers values

func (*GetSchoolForSectionOK) SetPayload

func (o *GetSchoolForSectionOK) SetPayload(payload *models.SchoolResponse)

SetPayload sets the payload to the get school for section o k response

func (*GetSchoolForSectionOK) WithPayload

WithPayload adds the payload to the get school for section o k response

func (*GetSchoolForSectionOK) WriteResponse

func (o *GetSchoolForSectionOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetSchoolForSectionParams

type GetSchoolForSectionParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  Required: true
	  In: path
	*/
	ID string
}

GetSchoolForSectionParams contains all the bound params for the get school for section operation typically these are obtained from a http.Request

swagger:parameters getSchoolForSection

func NewGetSchoolForSectionParams

func NewGetSchoolForSectionParams() GetSchoolForSectionParams

NewGetSchoolForSectionParams creates a new GetSchoolForSectionParams object

There are no default values defined in the spec.

func (*GetSchoolForSectionParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetSchoolForSectionParams() beforehand.

type GetSchoolForSectionURL

type GetSchoolForSectionURL struct {
	ID string
	// contains filtered or unexported fields
}

GetSchoolForSectionURL generates an URL for the get school for section operation

func (*GetSchoolForSectionURL) Build

func (o *GetSchoolForSectionURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetSchoolForSectionURL) BuildFull

func (o *GetSchoolForSectionURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetSchoolForSectionURL) Must

func (o *GetSchoolForSectionURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetSchoolForSectionURL) SetBasePath

func (o *GetSchoolForSectionURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetSchoolForSectionURL) String

func (o *GetSchoolForSectionURL) String() string

String returns the string representation of the path with query string

func (*GetSchoolForSectionURL) StringFull

func (o *GetSchoolForSectionURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetSchoolForSectionURL) WithBasePath

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetSection

type GetSection struct {
	Context *middleware.Context
	Handler GetSectionHandler
}
GetSection swagger:route GET /sections/{id} Sections getSection

Returns a specific section

func NewGetSection

func NewGetSection(ctx *middleware.Context, handler GetSectionHandler) *GetSection

NewGetSection creates a new http.Handler for the get section operation

func (*GetSection) ServeHTTP

func (o *GetSection) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetSectionHandler

type GetSectionHandler interface {
	Handle(GetSectionParams, interface{}) middleware.Responder
}

GetSectionHandler interface for that can handle valid get section params

type GetSectionHandlerFunc

type GetSectionHandlerFunc func(GetSectionParams, interface{}) middleware.Responder

GetSectionHandlerFunc turns a function with the right signature into a get section handler

func (GetSectionHandlerFunc) Handle

func (fn GetSectionHandlerFunc) Handle(params GetSectionParams, principal interface{}) middleware.Responder

Handle executing the request and returning a response

type GetSectionNotFound

type GetSectionNotFound struct {

	/*
	  In: Body
	*/
	Payload *models.NotFound `json:"body,omitempty"`
}

GetSectionNotFound Entity Not Found

swagger:response getSectionNotFound

func NewGetSectionNotFound

func NewGetSectionNotFound() *GetSectionNotFound

NewGetSectionNotFound creates GetSectionNotFound with default headers values

func (*GetSectionNotFound) SetPayload

func (o *GetSectionNotFound) SetPayload(payload *models.NotFound)

SetPayload sets the payload to the get section not found response

func (*GetSectionNotFound) WithPayload

func (o *GetSectionNotFound) WithPayload(payload *models.NotFound) *GetSectionNotFound

WithPayload adds the payload to the get section not found response

func (*GetSectionNotFound) WriteResponse

func (o *GetSectionNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetSectionOK

type GetSectionOK struct {

	/*
	  In: Body
	*/
	Payload *models.SectionResponse `json:"body,omitempty"`
}

GetSectionOK OK Response

swagger:response getSectionOK

func NewGetSectionOK

func NewGetSectionOK() *GetSectionOK

NewGetSectionOK creates GetSectionOK with default headers values

func (*GetSectionOK) SetPayload

func (o *GetSectionOK) SetPayload(payload *models.SectionResponse)

SetPayload sets the payload to the get section o k response

func (*GetSectionOK) WithPayload

func (o *GetSectionOK) WithPayload(payload *models.SectionResponse) *GetSectionOK

WithPayload adds the payload to the get section o k response

func (*GetSectionOK) WriteResponse

func (o *GetSectionOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetSectionParams

type GetSectionParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  Required: true
	  In: path
	*/
	ID string
}

GetSectionParams contains all the bound params for the get section operation typically these are obtained from a http.Request

swagger:parameters getSection

func NewGetSectionParams

func NewGetSectionParams() GetSectionParams

NewGetSectionParams creates a new GetSectionParams object

There are no default values defined in the spec.

func (*GetSectionParams) BindRequest

func (o *GetSectionParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetSectionParams() beforehand.

type GetSectionURL

type GetSectionURL struct {
	ID string
	// contains filtered or unexported fields
}

GetSectionURL generates an URL for the get section operation

func (*GetSectionURL) Build

func (o *GetSectionURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetSectionURL) BuildFull

func (o *GetSectionURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetSectionURL) Must

func (o *GetSectionURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetSectionURL) SetBasePath

func (o *GetSectionURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetSectionURL) String

func (o *GetSectionURL) String() string

String returns the string representation of the path with query string

func (*GetSectionURL) StringFull

func (o *GetSectionURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetSectionURL) WithBasePath

func (o *GetSectionURL) WithBasePath(bp string) *GetSectionURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetSections

type GetSections struct {
	Context *middleware.Context
	Handler GetSectionsHandler
}
GetSections swagger:route GET /sections Sections getSections

Returns a list of sections

func NewGetSections

func NewGetSections(ctx *middleware.Context, handler GetSectionsHandler) *GetSections

NewGetSections creates a new http.Handler for the get sections operation

func (*GetSections) ServeHTTP

func (o *GetSections) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetSectionsHandler

type GetSectionsHandler interface {
	Handle(GetSectionsParams, interface{}) middleware.Responder
}

GetSectionsHandler interface for that can handle valid get sections params

type GetSectionsHandlerFunc

type GetSectionsHandlerFunc func(GetSectionsParams, interface{}) middleware.Responder

GetSectionsHandlerFunc turns a function with the right signature into a get sections handler

func (GetSectionsHandlerFunc) Handle

func (fn GetSectionsHandlerFunc) Handle(params GetSectionsParams, principal interface{}) middleware.Responder

Handle executing the request and returning a response

type GetSectionsOK

type GetSectionsOK struct {

	/*
	  In: Body
	*/
	Payload *models.SectionsResponse `json:"body,omitempty"`
}

GetSectionsOK OK Response

swagger:response getSectionsOK

func NewGetSectionsOK

func NewGetSectionsOK() *GetSectionsOK

NewGetSectionsOK creates GetSectionsOK with default headers values

func (*GetSectionsOK) SetPayload

func (o *GetSectionsOK) SetPayload(payload *models.SectionsResponse)

SetPayload sets the payload to the get sections o k response

func (*GetSectionsOK) WithPayload

func (o *GetSectionsOK) WithPayload(payload *models.SectionsResponse) *GetSectionsOK

WithPayload adds the payload to the get sections o k response

func (*GetSectionsOK) WriteResponse

func (o *GetSectionsOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetSectionsParams

type GetSectionsParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  In: query
	*/
	Count *string
	/*
	  In: query
	*/
	EndingBefore *string
	/*
	  In: query
	*/
	Limit *int64
	/*
	  In: query
	*/
	StartingAfter *string
}

GetSectionsParams contains all the bound params for the get sections operation typically these are obtained from a http.Request

swagger:parameters getSections

func NewGetSectionsParams

func NewGetSectionsParams() GetSectionsParams

NewGetSectionsParams creates a new GetSectionsParams object

There are no default values defined in the spec.

func (*GetSectionsParams) BindRequest

func (o *GetSectionsParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetSectionsParams() beforehand.

type GetSectionsURL

type GetSectionsURL struct {
	Count         *string
	EndingBefore  *string
	Limit         *int64
	StartingAfter *string
	// contains filtered or unexported fields
}

GetSectionsURL generates an URL for the get sections operation

func (*GetSectionsURL) Build

func (o *GetSectionsURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetSectionsURL) BuildFull

func (o *GetSectionsURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetSectionsURL) Must

func (o *GetSectionsURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetSectionsURL) SetBasePath

func (o *GetSectionsURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetSectionsURL) String

func (o *GetSectionsURL) String() string

String returns the string representation of the path with query string

func (*GetSectionsURL) StringFull

func (o *GetSectionsURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetSectionsURL) WithBasePath

func (o *GetSectionsURL) WithBasePath(bp string) *GetSectionsURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetTermForSection

type GetTermForSection struct {
	Context *middleware.Context
	Handler GetTermForSectionHandler
}
GetTermForSection swagger:route GET /sections/{id}/term Sections getTermForSection

Returns the term for a section

func NewGetTermForSection

func NewGetTermForSection(ctx *middleware.Context, handler GetTermForSectionHandler) *GetTermForSection

NewGetTermForSection creates a new http.Handler for the get term for section operation

func (*GetTermForSection) ServeHTTP

func (o *GetTermForSection) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetTermForSectionHandler

type GetTermForSectionHandler interface {
	Handle(GetTermForSectionParams, interface{}) middleware.Responder
}

GetTermForSectionHandler interface for that can handle valid get term for section params

type GetTermForSectionHandlerFunc

type GetTermForSectionHandlerFunc func(GetTermForSectionParams, interface{}) middleware.Responder

GetTermForSectionHandlerFunc turns a function with the right signature into a get term for section handler

func (GetTermForSectionHandlerFunc) Handle

func (fn GetTermForSectionHandlerFunc) Handle(params GetTermForSectionParams, principal interface{}) middleware.Responder

Handle executing the request and returning a response

type GetTermForSectionNotFound

type GetTermForSectionNotFound struct {

	/*
	  In: Body
	*/
	Payload *models.NotFound `json:"body,omitempty"`
}

GetTermForSectionNotFound Entity Not Found

swagger:response getTermForSectionNotFound

func NewGetTermForSectionNotFound

func NewGetTermForSectionNotFound() *GetTermForSectionNotFound

NewGetTermForSectionNotFound creates GetTermForSectionNotFound with default headers values

func (*GetTermForSectionNotFound) SetPayload

func (o *GetTermForSectionNotFound) SetPayload(payload *models.NotFound)

SetPayload sets the payload to the get term for section not found response

func (*GetTermForSectionNotFound) WithPayload

WithPayload adds the payload to the get term for section not found response

func (*GetTermForSectionNotFound) WriteResponse

func (o *GetTermForSectionNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetTermForSectionOK

type GetTermForSectionOK struct {

	/*
	  In: Body
	*/
	Payload *models.TermResponse `json:"body,omitempty"`
}

GetTermForSectionOK OK Response

swagger:response getTermForSectionOK

func NewGetTermForSectionOK

func NewGetTermForSectionOK() *GetTermForSectionOK

NewGetTermForSectionOK creates GetTermForSectionOK with default headers values

func (*GetTermForSectionOK) SetPayload

func (o *GetTermForSectionOK) SetPayload(payload *models.TermResponse)

SetPayload sets the payload to the get term for section o k response

func (*GetTermForSectionOK) WithPayload

func (o *GetTermForSectionOK) WithPayload(payload *models.TermResponse) *GetTermForSectionOK

WithPayload adds the payload to the get term for section o k response

func (*GetTermForSectionOK) WriteResponse

func (o *GetTermForSectionOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetTermForSectionParams

type GetTermForSectionParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  Required: true
	  In: path
	*/
	ID string
}

GetTermForSectionParams contains all the bound params for the get term for section operation typically these are obtained from a http.Request

swagger:parameters getTermForSection

func NewGetTermForSectionParams

func NewGetTermForSectionParams() GetTermForSectionParams

NewGetTermForSectionParams creates a new GetTermForSectionParams object

There are no default values defined in the spec.

func (*GetTermForSectionParams) BindRequest

func (o *GetTermForSectionParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetTermForSectionParams() beforehand.

type GetTermForSectionURL

type GetTermForSectionURL struct {
	ID string
	// contains filtered or unexported fields
}

GetTermForSectionURL generates an URL for the get term for section operation

func (*GetTermForSectionURL) Build

func (o *GetTermForSectionURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetTermForSectionURL) BuildFull

func (o *GetTermForSectionURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetTermForSectionURL) Must

func (o *GetTermForSectionURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetTermForSectionURL) SetBasePath

func (o *GetTermForSectionURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetTermForSectionURL) String

func (o *GetTermForSectionURL) String() string

String returns the string representation of the path with query string

func (*GetTermForSectionURL) StringFull

func (o *GetTermForSectionURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetTermForSectionURL) WithBasePath

func (o *GetTermForSectionURL) WithBasePath(bp string) *GetTermForSectionURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

type GetUsersForSection

type GetUsersForSection struct {
	Context *middleware.Context
	Handler GetUsersForSectionHandler
}
GetUsersForSection swagger:route GET /sections/{id}/users Sections getUsersForSection

Returns the student and/or teacher users for a section

func NewGetUsersForSection

func NewGetUsersForSection(ctx *middleware.Context, handler GetUsersForSectionHandler) *GetUsersForSection

NewGetUsersForSection creates a new http.Handler for the get users for section operation

func (*GetUsersForSection) ServeHTTP

func (o *GetUsersForSection) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetUsersForSectionHandler

type GetUsersForSectionHandler interface {
	Handle(GetUsersForSectionParams, interface{}) middleware.Responder
}

GetUsersForSectionHandler interface for that can handle valid get users for section params

type GetUsersForSectionHandlerFunc

type GetUsersForSectionHandlerFunc func(GetUsersForSectionParams, interface{}) middleware.Responder

GetUsersForSectionHandlerFunc turns a function with the right signature into a get users for section handler

func (GetUsersForSectionHandlerFunc) Handle

func (fn GetUsersForSectionHandlerFunc) Handle(params GetUsersForSectionParams, principal interface{}) middleware.Responder

Handle executing the request and returning a response

type GetUsersForSectionNotFound

type GetUsersForSectionNotFound struct {

	/*
	  In: Body
	*/
	Payload *models.NotFound `json:"body,omitempty"`
}

GetUsersForSectionNotFound Entity Not Found

swagger:response getUsersForSectionNotFound

func NewGetUsersForSectionNotFound

func NewGetUsersForSectionNotFound() *GetUsersForSectionNotFound

NewGetUsersForSectionNotFound creates GetUsersForSectionNotFound with default headers values

func (*GetUsersForSectionNotFound) SetPayload

func (o *GetUsersForSectionNotFound) SetPayload(payload *models.NotFound)

SetPayload sets the payload to the get users for section not found response

func (*GetUsersForSectionNotFound) WithPayload

WithPayload adds the payload to the get users for section not found response

func (*GetUsersForSectionNotFound) WriteResponse

func (o *GetUsersForSectionNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetUsersForSectionOK

type GetUsersForSectionOK struct {

	/*
	  In: Body
	*/
	Payload *models.UsersResponse `json:"body,omitempty"`
}

GetUsersForSectionOK OK Response

swagger:response getUsersForSectionOK

func NewGetUsersForSectionOK

func NewGetUsersForSectionOK() *GetUsersForSectionOK

NewGetUsersForSectionOK creates GetUsersForSectionOK with default headers values

func (*GetUsersForSectionOK) SetPayload

func (o *GetUsersForSectionOK) SetPayload(payload *models.UsersResponse)

SetPayload sets the payload to the get users for section o k response

func (*GetUsersForSectionOK) WithPayload

WithPayload adds the payload to the get users for section o k response

func (*GetUsersForSectionOK) WriteResponse

func (o *GetUsersForSectionOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetUsersForSectionParams

type GetUsersForSectionParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*
	  In: query
	*/
	EndingBefore *string
	/*
	  Required: true
	  In: path
	*/
	ID string
	/*
	  In: query
	*/
	Limit *int64
	/*
	  In: query
	*/
	Primary *string
	/*
	  In: query
	*/
	Role *string
	/*
	  In: query
	*/
	StartingAfter *string
}

GetUsersForSectionParams contains all the bound params for the get users for section operation typically these are obtained from a http.Request

swagger:parameters getUsersForSection

func NewGetUsersForSectionParams

func NewGetUsersForSectionParams() GetUsersForSectionParams

NewGetUsersForSectionParams creates a new GetUsersForSectionParams object

There are no default values defined in the spec.

func (*GetUsersForSectionParams) BindRequest

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.

To ensure default values, the struct must have been initialized with NewGetUsersForSectionParams() beforehand.

type GetUsersForSectionURL

type GetUsersForSectionURL struct {
	ID string

	EndingBefore  *string
	Limit         *int64
	Primary       *string
	Role          *string
	StartingAfter *string
	// contains filtered or unexported fields
}

GetUsersForSectionURL generates an URL for the get users for section operation

func (*GetUsersForSectionURL) Build

func (o *GetUsersForSectionURL) Build() (*url.URL, error)

Build a url path and query string

func (*GetUsersForSectionURL) BuildFull

func (o *GetUsersForSectionURL) BuildFull(scheme, host string) (*url.URL, error)

BuildFull builds a full url with scheme, host, path and query string

func (*GetUsersForSectionURL) Must

func (o *GetUsersForSectionURL) Must(u *url.URL, err error) *url.URL

Must is a helper function to panic when the url builder returns an error

func (*GetUsersForSectionURL) SetBasePath

func (o *GetUsersForSectionURL) SetBasePath(bp string)

SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

func (*GetUsersForSectionURL) String

func (o *GetUsersForSectionURL) String() string

String returns the string representation of the path with query string

func (*GetUsersForSectionURL) StringFull

func (o *GetUsersForSectionURL) StringFull(scheme, host string) string

StringFull returns the string representation of a complete url

func (*GetUsersForSectionURL) WithBasePath

func (o *GetUsersForSectionURL) WithBasePath(bp string) *GetUsersForSectionURL

WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string

Jump to

Keyboard shortcuts

? : This menu
/ : Search site
f or F : Jump to
y or Y : Canonical URL